=== plugins/CMakeLists.txt ===
add_subdirectory(platforms)
add_subdirectory(kdecoration)
add_subdirectory(kwineffects)
