=== debian/changelog ===
dde-kwin (5.4.26-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Mar 2022 16:32:11 +0800

dde-kwin (5.4.23-1) unstable; urgency=medium

  * Bug fix:
    + 109640 fix: the splitmenu is not available on wayland platform.

 -- Lei Su <sulei@uniontech.com>  Thu, 10 Feb 2022 15:25:10 +0800

dde-kwin (5.4.22-1) unstable; urgency=medium

  * Feat:
    + 97260 feat: add func about maxi button long press

 -- Lei Su <sulei@uniontech.com>  Mon, 10 Jan 2022 15:56:06 +0800

dde-kwin (5.4.21-1) unstable; urgency=medium

  * Bug fix:
    + 104607 chore: add a dependency on 'kwin-wayland'.

 -- Lei Su <sulei@uniontech.com>  Thu, 30 Dec 2021 19:09:00 +0800

dde-kwin (5.4.20-1) unstable; urgency=medium

  * Bug fix:
    + 109751 fix: cancle decoration hover event when the client is moving

 -- Lei Su <sulei@uniontech.com>  Mon, 27 Dec 2021 15:11:25 +0800

dde-kwin (5.4.19-1) unstable; urgency=medium

  * Bug fix:
    + fix: Cannot use shortcut keys to bring up the multitasking view.

  * Unit test:
    + test: modify the unit test working directory

 -- Lei Su <sulei@uniontech.com>  Thu, 16 Dec 2021 10:17:07 +0800

dde-kwin (5.4.18-1) unstable; urgency=medium

  * Bug fix:
    + fix: adjust menu style
    + fix: add a root accessible.name for alt + tab
    + fix: Fix the problem that the maximized window cannot fill the screen
    + fix: Some shortcuts are registered only in wayland mode.
    + fix: Maximize split screen menu disappears

 -- Lei Su <sulei@uniontech.com>  Fri, 03 Dec 2021 15:47:30 +0800

dde-kwin (5.4.17-1) unstable; urgency=medium

  * Bug fix:
    + fix: Alt + TAB module support for automated testing has been temporarily withdrawn

 -- Lei Su <sulei@uniontech.com>  Sat, 20 Nov 2021 16:33:33 +0800

dde-kwin (5.4.16-1) unstable; urgency=medium

  * Bug fix:
    + fix: add security hardening for security testing

 -- Lei Su <sulei@uniontech.com>  Sat, 20 Nov 2021 15:59:21 +0800

dde-kwin (5.4.14-1) unstable; urgency=medium

  * Bug fix:
    + Fix the problem that the switcher thumbnail cannot be switched caused by efb6b4cd7 submission.

 -- Lei Su <sulei@uniontech.com>  Mon, 15 Nov 2021 14:33:50 +0800

dde-kwin (5.4.13-1) unstable; urgency=medium

  * feat: The 'wayland' branch joins the 'master' branch

 -- Lei Su <sulei@uniontech.com>  Thu, 11 Nov 2021 21:09:23 +0800

dde-kwin (5.3.19-1) unstable; urgency=medium

  * Bug fix:
    + 87758 fix: After S3 wakes up, the screen flashes when opening the file and then closing it

 -- Lei Su <sulei@uniontech.com>  Mon, 30 Aug 2021 10:51:20 +0800

dde-kwin (5.3.18-1) unstable; urgency=medium

  * Bug fix:
    + 63174 optimize work thumbnail
    + 66832 in sw_64 platform, the second background be white in multitasking
    + 82889 add Tibetan and Uighur translation for 'No windows' and 'Drag upwards to remove'

 -- Xu Yongrui <xuyongrui@uniontech.com>  Wed, 04 Aug 2021 14:51:37 +0800

dde-kwin (5.3.16-1) unstable; urgency=medium

  * unit test
    + output test result to ut-report.txt

 -- Lei Su <sulei@uniontech.com>  Fri, 11 Jun 2021 11:38:18 +0800

dde-kwin (5.3.15-1) unstable; urgency=medium

  * unit test
    + fix: repair the error by cppcheck

 -- Lei Su <sulei@uniontech.com>  Fri, 04 Jun 2021 17:32:40 +0800

dde-kwin (5.3.14-1) unstable; urgency=medium

  * unit test

 -- Lei Su <sulei@uniontech.com>  Wed, 02 Jun 2021 13:20:30 +0800

dde-kwin (5.3.13-1) unstable; urgency=medium

  * Bug fix:
    + 68673, 67845 Shortcut Super+Shift+number works in a wrong way
    + 66630 Delete first workspace bigbackground didn't refresh
    + 69809 Highlighter disappear when dragging desktop thumbnail
    + 78218 Crashing when open multitasking view
    + 68672 Shortcut meta+shift+padnumber didn't work

 -- Lei Su <sulei@uniontech.com>  Mon, 31 May 2021 14:54:00 +0800

dde-kwin (5.3.12-1) unstable; urgency=medium

  * Bug fix:
    + refactor: Remove line number in translate file.

 -- Lei Su <sulei@uniontech.com>  Wed, 19 May 2021 20:37:53 +0800

dde-kwin (5.3.11-1) unstable; urgency=medium

  * add memory test.

 -- Lei Su <sulei@uniontech.com>  Wed, 12 May 2021 20:14:13 +0800

dde-kwin (5.3.10-1) unstable; urgency=medium
  * Bug fix:
    + 72368 fix: Compositing is able to enable in Euler.

 -- Lei Su <sulei@uniontech.com>  Tue, 11 May 2021 13:24:35 +0800

dde-kwin (5.3.9-1) UNRELEASED; urgency=medium

  * Bug fix:
    + 70513, 69821 fix: The community version of the multi tasking view is full of icons.
    + 49208, 72368 fix: Add RPM package detection server script.

 -- Lei Su <sulei@uniontech.com>  Wed, 21 Apr 2021 18:09:00 +0800

dde-kwin (5.3.8-1) UNRELEASED; urgency=medium

  * Bug fix:
    + 60642 fix: Click "X" with fingers to turn off insensitivity.

 -- Lei Su <sulei@uniontech.com>  Fri, 02 Apr 2021 17:11:55 +0800

dde-kwin (5.3.7-1.1) unstable; urgency=medium

  * Bug fix:
  + Conflicts that occur when translating files.

 -- Lei Su <sulei@uniontech.com>  Wed, 17 Mar 2021 17:35:56 +0800

dde-kwin (5.3.6-1.1) unstable; urgency=medium

  * Bug fix:
    + 31415 add numpad to global shortcut.
    + 66325 Current workspace changed even didn't add new workspace.
    + 66627 Delete hint show when a workspace thumbnail drag to other one.
    + 58520 There is no popup notify when there is no window in the workspace.
    + 61749 when JM Display card, we close window effect. 

 -- Lei Su <sulei@uniontech.com>  Wed, 17 Mar 2021 16:09:18 +0800

dde-kwin (5.3.5-1) unstable; urgency=medium

  * Task:
    + 61378 Add translation file.
  * Bug fix:
    + 65167 Shortcut "alt+shift+~" crash in multitasking.
    + 64912 Multitasking crash due to window position.

 -- Lei Su <sulei@uniontech.com>  Tue, 09 Mar 2021 17:44:12 +0800

dde-kwin (5.15.1000.3-1) unstable; urgency=medium

  * update for klu/pgv master branch
  * To automate the packaging with correct versions

 -- wugang <wugang@uniontech.com>  Tue, 28 Sep 2021 09:45:38 -0300

dde-kwin (0.0.1-1) unstable; urgency=medium

  * Initial release


