=== debian/changelog ===
dde-kwin (5.5.11-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 12 May 2022 10:26:45 +0800

dde-kwin (5.5.10-1) unstable; urgency=medium

  * Bug fix:
    + 123355 fix: no blur effect on dde-grand-search and dde-network-dialog with wayland

 -- Lei Su <sulei@uniontech.com>  Tue, 26 Apr 2022 20:29:53 +0800

dde-kwin (5.5.9-1) unstable; urgency=medium

  * Bug fix:
    + 111891 fix: add shortcut of ScreenshotOcr/ScreenshotScroll/GlobalSearch.

 -- Lei Su <sulei@uniontech.com>  Mon, 18 Apr 2022 15:08:35 +0800

dde-kwin (5.5.8-1) unstable; urgency=medium

  * Bug fix:
    + 96087, 119943, 103388 fix: not blur and two half-width docks on wayland

 -- Lei Su <sulei@uniontech.com>  Thu, 31 Mar 2022 22:05:59 +0800

dde-kwin (5.5.7-1) unstable; urgency=medium

  * feat:
    + feat: remove qt deps for windowtool.

 -- Lei Su <sulei@uniontech.com>  Mon, 28 Mar 2022 18:00:35 +0800

dde-kwin (5.5.6-1.1) unstable; urgency=medium

  * Bug fix:
    + fix: Fix compilation failures.

 -- Lei Su <sulei@uniontech.com>  Fri, 25 Mar 2022 18:57:39 +0800

dde-kwin (5.5.5-1) unstable; urgency=medium

  * feat:
    + 97260 feat: add func about maxi button long press

 -- Lei Su <sulei@uniontech.com>  Fri, 25 Mar 2022 17:53:15 +0800

dde-kwin (5.5.4-1) unstable; urgency=medium

  * Bug fix:
    + 113223 fix: qtcreator split menu style error on x11 platform

 -- Lei Su <sulei@uniontech.com>  Fri, 25 Mar 2022 15:50:28 +0800

dde-kwin (5.5.3-1) unstable; urgency=medium

  * feat:
    + refactor: Refactor the multitasking view.

 -- Lei Su <sulei@uniontech.com>  Mon, 21 Mar 2022 21:21:57 +0800

dde-kwin (5.4.34-1) unstable; urgency=medium

  * Bug fix:
    + 96087, 103388 fix: transparency of docker/launcher/notification/clipboard on wayland

  * Task:
    + 101855 feat: add style to titlebar menu

 -- Lei Su <sulei@uniontech.com>  Tue, 15 Mar 2022 22:41:38 +0800

dde-kwin (5.4.33-1) unstable; urgency=medium

  * Bug fix:
    + 107455 fix: DDE-kwin cannot call PresentWindows under wayland platform.

 -- Lei Su <sulei@uniontech.com>  Mon, 14 Mar 2022 19:26:40 +0800
