## dde-kwin 5.5.24

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,12 @@
     -DPROJECT_NAME=\\"${PROJECT_NAME}\\"
     -DPROJECT_VERSION=\\"${PROJECT_VERSION}\\"
 )
+
+option(USE_PLUGINS "use dde-kwin plugins" ON)
+option(USE_SCRIPTS "use scripts" ON)
+option(USE_DEEPIN_WM_DBUS "use deepin-wm dbus service" ON)
+option(USE_TABBOX "use deepin style tabbox" ON)
+option(USE_WINDOW_TOOL "support wayland and x11" ON)
 
 #when "KWIN_VERSION > KWIN_VERSION_CHECK(5, 18, 90, 0)"
 find_path(
@@ -92,13 +98,27 @@
 endif()
 
 add_subdirectory(configures)
-set(DDE_KWIN_SUPPORTED_VERSION "5.21.5")
-if (${KWIN_VERSION} STRLESS ${DDE_KWIN_SUPPORTED_VERSION} OR  ${KWIN_VERSION} STREQUAL ${DDE_KWIN_SUPPORTED_VERSION})
-    add_subdirectory(plugins)
-    add_subdirectory(scripts)
-    add_subdirectory(deepin-wm-dbus)
-    add_subdirectory(tabbox)
-    if (BUILD_TESTING)
-        add_subdirectory(tests)
-    endif()
+
+if (USE_PLUGINS)
+  add_subdirectory(plugins)
 endif()
+
+if (USE_SCRIPTS)
+  add_subdirectory(scripts)
+endif()
+
+if (USE_DEEPIN_WM_DBUS)
+  add_subdirectory(deepin-wm-dbus)
+endif()
+
+if (USE_TABBOX)
+add_subdirectory(tabbox)
+endif()
+
+if (BUILD_TESTING)
+    add_subdirectory(tests)
+endif()
+
+if (USE_WINDOW_TOOL)
+  add_subdirectory(windowtool)
+endif()
