=== tabbox/CMakeLists.txt ===
install(
    DIRECTORY
    thumbnail_grid
    DESTINATION
    ${CMAKE_INSTALL_PREFIX}/share/kwin/tabbox
)
