=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -34,7 +34,6 @@
 
 set( test
     ut_mulitask_model.cpp
-    ../plugins/kwineffects/multitasking/multitasking_model.cpp
 )
 
 add_executable(${PROJECT_NAME_TEST} ${test})
