=== plugins/platforms/lib/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,7 @@
 find_package(Qt5Core REQUIRED)
 find_package(Qt5X11Extras REQUIRED)
 find_package(Qt5Qml REQUIRED)
+find_package(X11 REQUIRED)
 find_package(KF5Config REQUIRED)
 find_package(KF5WindowSystem REQUIRED)
 find_package(KF5CoreAddons REQUIRED)
