=== debian/changelog ===
dde-kwin (5.5.24-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 17 Oct 2022 14:23:09 +0800

dde-kwin (5.5.22-1) unstable; urgency=medium

  * Bug fix:
    + 151433 fix: the problem of atl + tab up and down arrow keys switching

 -- Lei Su <sulei@uniontech.com>  Wed, 7 Sep 2022 15:44:58 +0800

dde-kwin (5.5.21-1) unstable; urgency=medium

  * Bug fix:
    + fix: remove special code about override and onscreendisplay,fix the problem of setting corner radius 0 cann't apply.
    + fix: remove some special code about dde and deepin.

 -- Lei Su <sulei@uniontech.com>  Wed, 24 Aug 2022 17:59:58 +0800

dde-kwin (5.5.19-1) unstable; urgency=medium

  * Bug fix:
    + fix: popup window should get blur region from dtk.

 -- Lei Su <sulei@uniontech.com>  Tue, 12 Jul 2022 16:07:58 +0800

dde-kwin (5.5.18-1) unstable; urgency=medium

  * Bug fix:
    + 124157   fix: the client of override type do not scissor window.

 -- Lei Su <sulei@uniontech.com>  Thu, 07 Jul 2022 17:07:44 +0800

dde-kwin (5.5.17-1) unstable; urgency=medium

  * Bug fix:
    + 126389, 124949, 123663 fix: setup viewport the size of allscreens when blur effect drawed.

 -- Lei Su <sulei@uniontech.com>  Tue, 21 Jun 2022 13:50:16 +0800

dde-kwin (5.5.15-1) unstable; urgency=medium

  * Task:
    + 99095 feat: add interface to outside about display rules

 -- Lei Su <sulei@uniontech.com>  Tue, 07 Jun 2022 17:53:12 +0800

dde-kwin (5.5.14-1) unstable; urgency=medium

  * Bug fix:
    + 124417 add checkClientAllowToSplite when splitmenu show

 -- Lei Su <sulei@uniontech.com>  Wed, 01 Jun 2022 14:05:31 +0800

dde-kwin (5.5.13-1) unstable; urgency=medium

  * Bug fix:
    + 123355 fix: blur area did not update when window geomety changed

 -- Lei Su <sulei@uniontech.com>  Thu, 26 May 2022 10:20:24 +0800
