=== debian/control ===
--- 
+++ 
@@ -6,6 +6,9 @@
  cmake,
  qtbase5-dev,
  qtbase5-private-dev,
+ libwayland-dev,
+ libdrm-dev (>= 2.4.62~),
+ libgbm-dev,
  libqt5x11extras5-dev,
  libxcb1-dev,
  libkf5globalaccel-dev,
@@ -48,3 +51,4 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Developer package of dde-kwin
  Provide dde-kwin plugin implementation basis files.
+
