## dde-kwin 5.5.25

=== configures/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,13 @@
     "/etc/xdg"
 )
 
+install(
+    FILES
+    org.kde.kwin.multitaskview.display.json
+    DESTINATION
+    "/usr/share/dsg/configs/org.kde.kwin"
+)
+
 if (USE_KWIN_NO_SCALE)
     configure_file(kwin_no_scale.in kwin_no_scale)
     install_files("/bin" FILES ${CMAKE_CURRENT_BINARY_DIR}/kwin_no_scale)
