=== debian/changelog ===
dde-kwin (5.5.25-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Nov 2022 10:55:16 +0800
