=== debian/changelog ===
dde-kwin (5.5.25.1-3) unstable; urgency=medium

  * fix herght 40 -> 24.

 -- LiChengGang <lichenggang@uniontech.com>  Mon, 17 Apr 2023 14:55:40 +0800

dde-kwin (5.5.25-1+rb1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Nov 2022 10:55:16 +0800
